#include <rewindow/types/gamepadbutton.h>

bool ReWindow::GamepadButton::operator ==(const GamepadButton &rhs) const {
    return this->GetMnemonicButtonCode() == rhs.GetMnemonicButtonCode();
}

std::string ReWindow::GamepadButton::GetMnemonicButtonCode() const {
    return mnemonic_btn_code;
}

void ReWindow::GamepadThumbstick::SetDeadzone(float minimum) {
    dead_zone = minimum;
}

Vector2 ReWindow::GamepadThumbstick::GetPosition() const {
    return position;
}

void ReWindow::GamepadTrigger::SetDeadzone(float minimum) {
    dead_zone = minimum;
}

float ReWindow::GamepadTrigger::GetActuation() const {
    return position;
}
